<?php


/******************************************************************************
 *
 *	PROJECT: Flynax Classifieds Software
 *	VERSION: 4.X
 *	LICENSE: FL0M2SG681CQ - http://www.flynax.com/license-agreement.html
 *	PRODUCT: Pets Classifieds
 *	DOMAIN: pupsnshop.com
 *	FILE: REMOTE_ADVERTS.INC.PHP
 *
 *	The software is a commercial product delivered under single, non-exclusive, 
 *	non-transferable license for one domain or IP address. Therefore distribution, 
 *	sale or transfer of the file in whole or in part without permission of Flynax 
 *	respective owners is considered to be illegal and breach of Flynax License End 
 *	User Agreement. 
 *
 *	You are not allowed to remove this information from the file without permission
 *	of Flynax respective owners.
 *
 *	Flynax Classifieds Software 2014 |  All copyrights reserved. 
 *
 *	http://www.flynax.com/
 *
 ******************************************************************************/

$listing_type = current($rlListingTypes -> types);
$listing_type = $listing_type['Key'];

$rlSmarty -> assign('listing_types', $rlListingTypes -> types);
$rlSmarty -> assign('listing_type', $listing_type);

$categories = $rlCategories -> getCategories(0, $listing_type);
$rlSmarty -> assign( 'categories', $categories );

$reefless -> loadClass('RemoteAdverts', null, 'js_blocks');
$rlXajax -> registerFunction( array( 'loadCategories', $rlRemoteAdverts, 'ajaxLoadCategories' ) );

$box_id = "ra".mt_rand();

$out = '<div id="'.$box_id.'"> </div>';
$out .='<script async="true" type="text/javascript" src="'.RL_PLUGINS_URL.'js_blocks/blocks.inc.php[aurl]"></script>';

$rlSmarty -> assign('out', $out);
$rlSmarty -> assign('box_id', $box_id);
